package cn.wisenergy.service;

import cn.wisenergy.model.app.WorkHoliday;
import cn.wisenergy.model.dto.HolidayAndAutoDto;

import java.util.Date;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkHolidayService {
    Boolean isHoliday(Date date);


    Boolean addAndModifyHoliday(WorkHoliday workHoliday);

    Boolean deleteHoliday(Integer id);

    HolidayAndAutoDto getHoliday(Integer userId);
}
